Login
Login-Name Passwort


 
Newsletter
Werbung

Sicherheit: Zwei Probleme in Freetype
Aktuelle Meldungen Distributionen
Name: Zwei Probleme in Freetype
ID: USN-3282-1
Distribution: Ubuntu
Plattformen: Ubuntu 14.04 LTS, Ubuntu 16.04 LTS, Ubuntu 16.10, Ubuntu 17.04
Datum: Di, 9. Mai 2017, 23:15
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-8287
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-8105

Originalnachricht

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--===============3334021394361186598==
Content-Type: multipart/signed; micalg=pgp-sha512;
protocol="application/pgp-signature";
boundary="VJcovDEavabB8x4wnJuDfPxiTsmr7l5PO"

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--VJcovDEavabB8x4wnJuDfPxiTsmr7l5PO
Content-Type: multipart/mixed;
boundary="W4m1X8w84OX2kJ29hxIcVupK0iSO9Vu0n"
From: Marc Deslauriers <marc.deslauriers@canonical.com>
Reply-To: Ubuntu Security <security@ubuntu.com>
To: ubuntu-security-announce@lists.ubuntu.com
Message-ID: <f8c6071f-7c6a-2e43-d86f-306a22dfd728@canonical.com>
Subject: [USN-3282-1] FreeType vulnerabilities

--W4m1X8w84OX2kJ29hxIcVupK0iSO9Vu0n
Content-Type: text/plain; charset=utf-
Content-Transfer-Encoding: quoted-printable

==========================================================================
Ubuntu Security Notice USN-3282-1
May 09, 2017

freetype vulnerabilities
==========================================================================

A security issue affects these releases of Ubuntu and its derivatives:

- Ubuntu 17.04
- Ubuntu 16.10
- Ubuntu 16.04 LTS
- Ubuntu 14.04 LTS

Summary:

FreeType could be made to crash or run programs if it opened a specially
crafted font file.

Software Description:
- freetype: FreeType 2 is a font engine library

Details:

It was discovered that FreeType did not correctly handle certain malformed
font files. If a user were tricked into using a specially crafted font
file, a remote attacker could cause FreeType to crash, resulting in a
denial of service, or possibly execute arbitrary code.

Update instructions:

The problem can be corrected by updating your system to the following
package versions:

Ubuntu 17.04:
libfreetype6 2.6.3-3ubuntu2.2

Ubuntu 16.10:
libfreetype6 2.6.3-3ubuntu1.3

Ubuntu 16.04 LTS:
libfreetype6 2.6.1-0.1ubuntu2.3

Ubuntu 14.04 LTS:
libfreetype6 2.5.2-1ubuntu2.8

After a standard system update you need to restart your session to make
all the necessary changes.

References:
http://www.ubuntu.com/usn/usn-3282-1
CVE-2017-8105, CVE-2017-8287

Package Information:
https://launchpad.net/ubuntu/+source/freetype/2.6.3-3ubuntu2.2
https://launchpad.net/ubuntu/+source/freetype/2.6.3-3ubuntu1.3
https://launchpad.net/ubuntu/+source/freetype/2.6.1-0.1ubuntu2.3
https://launchpad.net/ubuntu/+source/freetype/2.5.2-1ubuntu2.8



--W4m1X8w84OX2kJ29hxIcVupK0iSO9Vu0n--

--VJcovDEavabB8x4wnJuDfPxiTsmr7l5PO
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2

iQIcBAEBCgAGBQJZEeDLAAoJEGVp2FWnRL6T6SUP/iupqNv9RfkwkAR9hEKhhoBB
Llnb2uWaPkOG1msr/soD7SyiKlOddBj9UhUSp+nh122tIhCzLqx4vp6emmg21swM
S1aNglL5ut0PaTdjFIt624r2FMaVthq3Yh1bP3VIsAHqOp/93Os7zsAc64ny45D/
NmHF7mHKCRlbODAWwzuBOCE/3W8UwaxdXLW73R/jV87pW6MCTRb2j95qDFnrQNsQ
G4QatcViz/UctJvHZWq+egAm1F+ojoyrfG3RFM7L1oqghJrII8c9nASTVe9AYkE8
IxnakDt8Np/jngMNdZSbv2hrT/gwGTpd0JInlzu7W7jTAnG7jnUP/A0hRYMLmwhm
JT0/5lq5Eoe3tj+OWPDbHNGVl1zptS95drG3BzdKbUi+OPxCv2KJ0FjPOaH8QK/a
gYgokR1Ly7Ec+5nvAjP8TAIAxI0U69U71qK7PiHftwxAGrtFIXvLNUmUJDyiUlQA
7G1VVithj9FzMT1ibaOCNtRtM6uLqN0Yi2BcVekB7hzWvfB60pvkEFxsXF9A7v8x
SCXGfIbW+nag+jPAxMIDEJQLDBG6zTCedkS7NU86Ikyj61dsdmU0zZU3fETyL8HZ
avzKsk5qb2dMPLqqXZhSJ78kgfrn69dSk4/IAUE/HedC43pkY9+S4hWrzUOUkTem
BiG0ywVM/fw1qgX026FH
=PAWb
-----END PGP SIGNATURE-----

--VJcovDEavabB8x4wnJuDfPxiTsmr7l5PO--


--===============3334021394361186598==
Content-Type: text/plain; charset="us-ascii"
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
Content-Disposition: inline

--
ubuntu-security-announce mailing list
ubuntu-security-announce@lists.ubuntu.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-security-announce

--===============3334021394361186598==--
Pro-Linux
Traut euch!
Neue Nachrichten
Werbung